QGIS Application - Bug report #12644

A number of fonts in the composer have metrics messed up upon project re-loading

2015-04-25 12:07 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20757
Description

This is a real bummer. With a number of fonts (for e.g. Delicious, http://www.exljbris.com/delicious.html), bold metrics get messed up

when opening a composer from a saved project. All the characters are over-bold. It's quite serious as it also affects the export to image.

Steps to reproduce

—_

. Install the Delicious font (it's free and available here: http://www.exljbris.com/delicious.html)

. Launch QGIS, and create a new composer from the blank project

. Enter a random string in the label, and notice its style
. Save the project with the above-created composer

. Exit QGIS

. Re-launch QGIS, and open the saved project
. Add a label item, and set its font family to "Delicious Smallcaps" with a size value of 48

. Open the composer, and notice how the label item font boldness is all wrong (see attached screenshot comparison)

Associated revisions

Revision 7a3a857d - 2015-06-15 11:40 AM - Nyall Dawson
Add QgsFontUtils methods for saving/loading font from XML (fix #12644)
Fixes loss of font styles when restoring projects. Credit to @nirvn

for the initial implementation.

History

#1 - 2015-06-15 02:41 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"7a3a857d79c073773d94d7ce5e304c22a73cabda".
